Index: src/backend/access/common/indextuple.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/access/common/indextuple.c,v
retrieving revision 1.45
diff -c -r1.45 indextuple.c
*** src/backend/access/common/indextuple.c	2000/09/23 22:40:12	1.45
--- src/backend/access/common/indextuple.c	2000/11/14 18:59:54
***************
*** 139,145 ****
  	 */
  
  	if ((size & INDEX_SIZE_MASK) != size)
! 		elog(ERROR, "index_formtuple: data takes %d bytes: too big", size);
  
  	infomask |= size;
  
--- 139,146 ----
  	 */
  
  	if ((size & INDEX_SIZE_MASK) != size)
! 		elog(ERROR, "index_formtuple: data takes %lu bytes: too big",
! 			(unsigned long)size);
  
  	infomask |= size;
  
Index: src/backend/access/heap/hio.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/access/heap/hio.c,v
retrieving revision 1.33
diff -c -r1.33 hio.c
*** src/backend/access/heap/hio.c	2000/09/07 09:58:35	1.33
--- src/backend/access/heap/hio.c	2000/11/14 19:14:33
***************
*** 91,98 ****
  	 * If we're gonna fail for oversize tuple, do it right away
  	 */
  	if (len > MaxTupleSize)
! 		elog(ERROR, "Tuple is too big: size %u, max size %ld",
! 			 len, MaxTupleSize);
  
  	if (!relation->rd_myxactonly)
  		LockPage(relation, 0, ExclusiveLock);
--- 91,98 ----
  	 * If we're gonna fail for oversize tuple, do it right away
  	 */
  	if (len > MaxTupleSize)
! 		elog(ERROR, "Tuple is too big: size %lu, max size %ld",
! 			 (unsigned long)len, MaxTupleSize);
  
  	if (!relation->rd_myxactonly)
  		LockPage(relation, 0, ExclusiveLock);
***************
*** 139,145 ****
  		if (len > PageGetFreeSpace(pageHeader))
  		{
  			/* We should not get here given the test at the top */
! 			elog(STOP, "Tuple is too big: size %u", len);
  		}
  	}
  
--- 139,146 ----
  		if (len > PageGetFreeSpace(pageHeader))
  		{
  			/* We should not get here given the test at the top */
! 			elog(STOP, "Tuple is too big: size %lu",
! 				(unsigned long)len);
  		}
  	}
  
Index: src/backend/access/nbtree/nbtinsert.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/access/nbtree/nbtinsert.c,v
retrieving revision 1.67
diff -c -r1.67 nbtinsert.c
*** src/backend/access/nbtree/nbtinsert.c	2000/10/21 15:43:18	1.67
--- src/backend/access/nbtree/nbtinsert.c	2000/11/14 18:58:30
***************
*** 348,355 ****
  	 * itemsz doesn't include the ItemId.
  	 */
  	if (itemsz > (PageGetPageSize(page) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) / 3 - sizeof(ItemIdData))
! 		elog(ERROR, "btree: index item size %u exceeds maximum %lu",
! 			 itemsz,
  			 (PageGetPageSize(page) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) /3 - sizeof(ItemIdData));
  
  	/*
--- 348,355 ----
  	 * itemsz doesn't include the ItemId.
  	 */
  	if (itemsz > (PageGetPageSize(page) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) / 3 - sizeof(ItemIdData))
! 		elog(ERROR, "btree: index item size %lu exceeds maximum %lu",
! 			 (unsigned long)itemsz,
  			 (PageGetPageSize(page) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) /3 - sizeof(ItemIdData));
  
  	/*
Index: src/backend/access/nbtree/nbtsort.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/access/nbtree/nbtsort.c,v
retrieving revision 1.57
diff -c -r1.57 nbtsort.c
*** src/backend/access/nbtree/nbtsort.c	2000/08/10 02:33:20	1.57
--- src/backend/access/nbtree/nbtsort.c	2000/11/14 18:58:55
***************
*** 346,353 ****
  	 * during creation of an index, we don't go through there.
  	 */
  	if (btisz > (PageGetPageSize(npage) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) / 3 - sizeof(ItemIdData))
! 		elog(ERROR, "btree: index item size %d exceeds maximum %ld",
! 			 btisz,
  			 (PageGetPageSize(npage) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) /3 - sizeof(ItemIdData));
  
  	if (pgspc < btisz || pgspc < state->btps_full)
--- 346,353 ----
  	 * during creation of an index, we don't go through there.
  	 */
  	if (btisz > (PageGetPageSize(npage) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) / 3 - sizeof(ItemIdData))
! 		elog(ERROR, "btree: index item size %lu exceeds maximum %ld",
! 			 (unsigned long)btisz,
  			 (PageGetPageSize(npage) - sizeof(PageHeaderData) - MAXALIGN(sizeof(BTPageOpaqueData))) /3 - sizeof(ItemIdData));
  
  	if (pgspc < btisz || pgspc < state->btps_full)
Index: src/backend/access/transam/xlog.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/access/transam/xlog.c,v
retrieving revision 1.25
diff -c -r1.25 xlog.c
*** src/backend/access/transam/xlog.c	2000/11/09 11:25:58	1.25
--- src/backend/access/transam/xlog.c	2000/11/14 18:05:41
***************
*** 1274,1280 ****
  	int			fd;
  	char		buffer[BLCKSZ];
  	CheckPoint	checkPoint;
- 	bool		usexistent = false;
  
  #ifdef XLOG
  	XLogPageHeader page = (XLogPageHeader) buffer;
--- 1274,1279 ----
Index: src/backend/commands/vacuum.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/commands/vacuum.c,v
retrieving revision 1.171
diff -c -r1.171 vacuum.c
*** src/backend/commands/vacuum.c	2000/10/28 16:20:54	1.171
--- src/backend/commands/vacuum.c	2000/11/14 19:15:16
***************
*** 950,961 ****
  	}
  
  	elog(MESSAGE_LEVEL, "Pages %u: Changed %u, reaped %u, Empty %u, New %u; \
! Tup %u: Vac %u, Keep/VTL %u/%u, Crash %u, UnUsed %u, MinLen %u, MaxLen %u; \
! Re-using: Free/Avail. Space %u/%u; EndEmpty/Avail. Pages %u/%u. %s",
  		 nblocks, changed_pages, vacuum_pages->num_pages, empty_pages,
  		 new_pages, num_tuples, tups_vacuumed,
  		 nkeep, vacrelstats->num_vtlinks, ncrash,
! 		 nunused, min_tlen, max_tlen, free_size, usable_free_size,
  		 empty_end_pages, fraged_pages->num_pages,
  		 show_rusage(&ru0));
  
--- 950,962 ----
  	}
  
  	elog(MESSAGE_LEVEL, "Pages %u: Changed %u, reaped %u, Empty %u, New %u; \
! Tup %u: Vac %u, Keep/VTL %u/%u, Crash %u, UnUsed %u, MinLen %lu, MaxLen %lu; \
! Re-using: Free/Avail. Space %lu/%lu; EndEmpty/Avail. Pages %u/%u. %s",
  		 nblocks, changed_pages, vacuum_pages->num_pages, empty_pages,
  		 new_pages, num_tuples, tups_vacuumed,
  		 nkeep, vacrelstats->num_vtlinks, ncrash,
! 		 nunused, (unsigned long)min_tlen, (unsigned long)max_tlen,
! 		 (unsigned long)free_size, (unsigned long)usable_free_size,
  		 empty_end_pages, fraged_pages->num_pages,
  		 show_rusage(&ru0));
  
***************
*** 1484,1491 ****
  										 InvalidOffsetNumber, LP_USED);
  					if (newoff == InvalidOffsetNumber)
  					{
! 						elog(STOP, "moving chain: failed to add item with len = %u to page %u",
! 							 tuple_len, destvacpage->blkno);
  					}
  					newitemid = PageGetItemId(ToPage, newoff);
  					pfree(newtup.t_data);
--- 1485,1492 ----
  										 InvalidOffsetNumber, LP_USED);
  					if (newoff == InvalidOffsetNumber)
  					{
! 						elog(STOP, "moving chain: failed to add item with len = %lu to page %u",
! 							 (unsigned long)tuple_len, destvacpage->blkno);
  					}
  					newitemid = PageGetItemId(ToPage, newoff);
  					pfree(newtup.t_data);
***************
*** 1636,1643 ****
  			if (newoff == InvalidOffsetNumber)
  			{
  				elog(ERROR, "\
! failed to add item with len = %u to page %u (free space %u, nusd %u, noff %u)",
! 					 tuple_len, cur_page->blkno, cur_page->free,
  				 cur_page->offsets_used, cur_page->offsets_free);
  			}
  			newitemid = PageGetItemId(ToPage, newoff);
--- 1637,1644 ----
  			if (newoff == InvalidOffsetNumber)
  			{
  				elog(ERROR, "\
! failed to add item with len = %lu to page %u (free space %lu, nusd %u, noff %u)",
! 					 (unsigned long)tuple_len, cur_page->blkno, (unsigned long)cur_page->free,
  				 cur_page->offsets_used, cur_page->offsets_free);
  			}
  			newitemid = PageGetItemId(ToPage, newoff);
Index: src/backend/main/main.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/main/main.c,v
retrieving revision 1.33
diff -c -r1.33 main.c
*** src/backend/main/main.c	2000/10/21 22:36:11	1.33
--- src/backend/main/main.c	2000/11/14 08:26:01
***************
*** 17,23 ****
  #include <pwd.h>
  #include <unistd.h>
  
! #if defined(__alpha) && !defined(linux)
  #include <sys/sysinfo.h>
  #include "machine/hal_sysinfo.h"
  #define ASSEMBLER
--- 17,23 ----
  #include <pwd.h>
  #include <unistd.h>
  
! #if defined(__alpha) && !defined(linux) && !defined(__FreeBSD__)
  #include <sys/sysinfo.h>
  #include "machine/hal_sysinfo.h"
  #define ASSEMBLER
Index: src/backend/nodes/outfuncs.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/nodes/outfuncs.c,v
retrieving revision 1.132
diff -c -r1.132 outfuncs.c
*** src/backend/nodes/outfuncs.c	2000/11/12 00:36:57	1.132
--- src/backend/nodes/outfuncs.c	2000/11/14 18:12:59
***************
*** 688,695 ****
  	appendStringInfo(str, " :innerNode ");
  	_outNode(str, node->fj_innerNode);
  
! 	appendStringInfo(str, " :results @ 0x%x :alwaysdone",
! 					 (int) node->fj_results);
  
  	for (i = 0; i < node->fj_nNodes; i++)
  		appendStringInfo(str, (node->fj_alwaysDone[i]) ? "true" : "false");
--- 688,695 ----
  	appendStringInfo(str, " :innerNode ");
  	_outNode(str, node->fj_innerNode);
  
! 	appendStringInfo(str, " :results @ 0x%p :alwaysdone",
! 					 node->fj_results);
  
  	for (i = 0; i < node->fj_nNodes; i++)
  		appendStringInfo(str, (node->fj_alwaysDone[i]) ? "true" : "false");
***************
*** 1284,1298 ****
  _outStream(StringInfo str, Stream *node)
  {
  	appendStringInfo(str,
! 					 " STREAM :pathptr @ 0x%x :cinfo @ 0x%x :clausetype %d :upstream @ 0x%x ",
! 					 (int) node->pathptr,
! 					 (int) node->cinfo,
! 					 (int) node->clausetype,
! 					 (int) node->upstream);
  
  	appendStringInfo(str,
! 		   " :downstream @ 0x%x :groupup %d :groupcost %f :groupsel %f ",
! 					 (int) node->downstream,
  					 node->groupup,
  					 node->groupcost,
  					 node->groupsel);
--- 1284,1298 ----
  _outStream(StringInfo str, Stream *node)
  {
  	appendStringInfo(str,
! 					 " STREAM :pathptr @ %p :cinfo @ %p :clausetype %p :upstream @ %p ",
! 					 node->pathptr,
! 					 node->cinfo,
! 					 node->clausetype,
! 					 node->upstream);
  
  	appendStringInfo(str,
! 		   " :downstream @ %p :groupup %d :groupcost %f :groupsel %f ",
! 					 node->downstream,
  					 node->groupup,
  					 node->groupcost,
  					 node->groupsel);
Index: src/backend/storage/buffer/s_lock.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/storage/buffer/s_lock.c,v
retrieving revision 1.24
diff -c -r1.24 s_lock.c
*** src/backend/storage/buffer/s_lock.c	2000/01/26 05:56:52	1.24
--- src/backend/storage/buffer/s_lock.c	2000/11/14 18:14:19
***************
*** 43,53 ****
  s_lock_stuck(volatile slock_t *lock, const char *file, const int line)
  {
  	fprintf(stderr,
! 			"\nFATAL: s_lock(%08x) at %s:%d, stuck spinlock. Aborting.\n",
! 			(unsigned int) lock, file, line);
  	fprintf(stdout,
! 			"\nFATAL: s_lock(%08x) at %s:%d, stuck spinlock. Aborting.\n",
! 			(unsigned int) lock, file, line);
  	abort();
  }
  
--- 43,53 ----
  s_lock_stuck(volatile slock_t *lock, const char *file, const int line)
  {
  	fprintf(stderr,
! 			"\nFATAL: s_lock(%p) at %s:%d, stuck spinlock. Aborting.\n",
! 			lock, file, line);
  	fprintf(stdout,
! 			"\nFATAL: s_lock(%p) at %s:%d, stuck spinlock. Aborting.\n",
! 			lock, file, line);
  	abort();
  }
  
Index: src/backend/utils/mmgr/aset.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/backend/utils/mmgr/aset.c,v
retrieving revision 1.31
diff -c -r1.31 aset.c
*** src/backend/utils/mmgr/aset.c	2000/07/12 05:15:20	1.31
--- src/backend/utils/mmgr/aset.c	2000/11/14 19:16:33
***************
*** 876,883 ****
  			 * Check chunk size
  			 */
  			if (chsize < (1 << ALLOC_MINBITS))
! 				elog(ERROR, "AllocSetCheck(): %s: bad size '%d' for chunk %p in block %p",
! 						name, chsize, chunk, block);
  						
  			/* single-chunk block */
  			if (chsize >= ALLOC_BIGCHUNK_LIMIT &&
--- 876,883 ----
  			 * Check chunk size
  			 */
  			if (chsize < (1 << ALLOC_MINBITS))
! 				elog(ERROR, "AllocSetCheck(): %s: bad size '%lu' for chunk %p in block %p",
! 						name, (unsigned long)chsize, chunk, block);
  						
  			/* single-chunk block */
  			if (chsize >= ALLOC_BIGCHUNK_LIMIT &&
***************
*** 891,899 ****
  			if (dsize < chsize && *chdata_end != 0x7F)
  			{
  				fprintf(stderr, "\n--- Leak %p ---\n", chdata_end);
! 				fprintf(stderr, "Chunk dump size: %ld (chunk-header %ld + chunk-size: %d), data must be: %d\n--- dump begin ---\n", 
  					chsize + ALLOC_CHUNKHDRSZ, 
! 					ALLOC_CHUNKHDRSZ, chsize, dsize);
  					
  				fwrite((void *) chunk, chsize+ALLOC_CHUNKHDRSZ, sizeof(char), stderr);
  				fputs("\n--- dump end ---\n", stderr);
--- 891,899 ----
  			if (dsize < chsize && *chdata_end != 0x7F)
  			{
  				fprintf(stderr, "\n--- Leak %p ---\n", chdata_end);
! 				fprintf(stderr, "Chunk dump size: %ld (chunk-header %ld + chunk-size: %lu), data must be: %lu\n--- dump begin ---\n", 
  					chsize + ALLOC_CHUNKHDRSZ, 
! 					ALLOC_CHUNKHDRSZ, (unsigned long)chsize, (unsigned long)dsize);
  					
  				fwrite((void *) chunk, chsize+ALLOC_CHUNKHDRSZ, sizeof(char), stderr);
  				fputs("\n--- dump end ---\n", stderr);
***************
*** 909,917 ****
  							*chdata_end != 0x7F) {
  				
  				fprintf(stderr, "\n--- Leak %p ---\n", chdata_end);
! 				fprintf(stderr, "Dump size: %ld (chunk-header %ld + chunk-size: %d + block-freespace: %ld), data must be: %d\n--- dump begin ---\n", 
  					chsize + ALLOC_CHUNKHDRSZ + blk_free, 
! 					ALLOC_CHUNKHDRSZ, chsize, blk_free, dsize);
  					
  				fwrite((void *) chunk, chsize+ALLOC_CHUNKHDRSZ+blk_free, sizeof(char), stderr);
  				fputs("\n--- dump end ---\n", stderr);
--- 909,917 ----
  							*chdata_end != 0x7F) {
  				
  				fprintf(stderr, "\n--- Leak %p ---\n", chdata_end);
! 				fprintf(stderr, "Dump size: %ld (chunk-header %ld + chunk-size: %lu + block-freespace: %ld), data must be: %lu\n--- dump begin ---\n", 
  					chsize + ALLOC_CHUNKHDRSZ + blk_free, 
! 					ALLOC_CHUNKHDRSZ, (unsigned long)chsize, blk_free, (unsigned long)dsize);
  					
  				fwrite((void *) chunk, chsize+ALLOC_CHUNKHDRSZ+blk_free, sizeof(char), stderr);
  				fputs("\n--- dump end ---\n", stderr);
Index: src/bin/psql/print.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/bin/psql/print.c,v
retrieving revision 1.13
diff -c -r1.13 print.c
*** src/bin/psql/print.c	2000/04/12 17:16:22	1.13
--- src/bin/psql/print.c	2000/11/14 18:23:16
***************
*** 250,256 ****
  		if (strlen(title) >= total_w)
  			fprintf(fout, "%s\n", title);
  		else
! 			fprintf(fout, "%-*s%s\n", (total_w - strlen(title)) / 2, "", title);
  	}
  
  	/* print headers */
--- 250,256 ----
  		if (strlen(title) >= total_w)
  			fprintf(fout, "%s\n", title);
  		else
! 			fprintf(fout, "%-*s%s\n", (int)(total_w - strlen(title)) / 2, "", title);
  	}
  
  	/* print headers */
Index: src/include/port/freebsd.h
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/include/port/freebsd.h,v
retrieving revision 1.4
diff -c -r1.4 freebsd.h
*** src/include/port/freebsd.h	2000/10/29 13:17:34	1.4
--- src/include/port/freebsd.h	2000/11/14 08:40:20
***************
*** 1,5 ****
  #if defined(__i386__)
! #define NEED_I386_TAS_ASM
  #define HAS_TEST_AND_SET
  #endif
  
--- 1,5 ----
  #if defined(__i386__)
! typedef unsigned char slock_t;
  #define HAS_TEST_AND_SET
  #endif
  
***************
*** 8,13 ****
--- 8,18 ----
  #define HAS_TEST_AND_SET
  #endif
  
+ #if defined(__alpha__)
+ typedef long int slock_t;
+ #define HAS_TEST_AND_SET
+ #endif
+ 
  #if defined(__vax__)
  #define NEED_VAX_TAS_ASM
  #define HAS_TEST_AND_SET
***************
*** 25,29 ****
  #if defined(__mips__)
  /* #	undef HAS_TEST_AND_SET */
  #endif
- 
- typedef unsigned char slock_t;
--- 30,32 ----
Index: src/interfaces/libpq/fe-misc.c
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/interfaces/libpq/fe-misc.c,v
retrieving revision 1.41
diff -c -r1.41 fe-misc.c
*** src/interfaces/libpq/fe-misc.c	2000/04/12 17:17:15	1.41
--- src/interfaces/libpq/fe-misc.c	2000/11/14 19:17:11
***************
*** 209,215 ****
  	conn->inCursor += len;
  
  	if (conn->Pfdebug)
! 		fprintf(conn->Pfdebug, "From backend (%d)> %.*s\n", len, (int) len, s);
  
  	return 0;
  }
--- 209,215 ----
  	conn->inCursor += len;
  
  	if (conn->Pfdebug)
! 		fprintf(conn->Pfdebug, "From backend (%lu)> %.*s\n", (unsigned long)len, (int) len, s);
  
  	return 0;
  }
***************
*** 260,272 ****
  			break;
  		default:
  			sprintf(noticeBuf,
! 					"pqGetInt: int size %d not supported\n", bytes);
  			DONOTICE(conn, noticeBuf);
  			return EOF;
  	}
  
  	if (conn->Pfdebug)
! 		fprintf(conn->Pfdebug, "From backend (#%d)> %d\n", bytes, *result);
  
  	return 0;
  }
--- 260,272 ----
  			break;
  		default:
  			sprintf(noticeBuf,
! 					"pqGetInt: int size %lu not supported\n", (unsigned long)bytes);
  			DONOTICE(conn, noticeBuf);
  			return EOF;
  	}
  
  	if (conn->Pfdebug)
! 		fprintf(conn->Pfdebug, "From backend (#%lu)> %d\n", (unsigned long)bytes, *result);
  
  	return 0;
  }
***************
*** 297,309 ****
  			break;
  		default:
  			sprintf(noticeBuf,
! 					"pqPutInt: int size %d not supported\n", bytes);
  			DONOTICE(conn, noticeBuf);
  			return EOF;
  	}
  
  	if (conn->Pfdebug)
! 		fprintf(conn->Pfdebug, "To backend (%d#)> %d\n", bytes, value);
  
  	return 0;
  }
--- 297,309 ----
  			break;
  		default:
  			sprintf(noticeBuf,
! 					"pqPutInt: int size %lu not supported\n", (unsigned long)bytes);
  			DONOTICE(conn, noticeBuf);
  			return EOF;
  	}
  
  	if (conn->Pfdebug)
! 		fprintf(conn->Pfdebug, "To backend (%lu#)> %d\n", (unsigned long)bytes, value);
  
  	return 0;
  }
Index: src/template/freebsd
===================================================================
RCS file: /home/alfred/pgcvs/pgsql/src/template/freebsd,v
retrieving revision 1.9
diff -c -r1.9 freebsd
*** src/template/freebsd	2000/10/21 22:36:13	1.9
--- src/template/freebsd	2000/11/14 08:50:23
***************
*** 1 ****
! CFLAGS='-O2 -m486 -pipe'
--- 1,7 ----
! CFLAGS='-pipe'
! 
! case $host_cpu in
!   alpha*)   CFLAGS="$CFLAGS -O";;
!   i386*)    CFLAGS="$CFLAGS -O2";;
! esac
! 
